Bug 965915 - Add unit tests for the task library
Add unit tests for the task library
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
develop
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.15
: ---
Assigned To: Raymond Mancy
ImplementationQuality
: FutureFeature
Depends On:
Blocks: 1002395
  Show dependency treegraph
 
Reported: 2013-05-21 22:47 EDT by Nick Coghlan
Modified: 2014-12-07 20:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 22:27:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-05-21 22:47:37 EDT
Correct manipulation of the task library is currently tested only indirectly, either through uploading and upgrading tasks through the web UI, or through the scheduling of jobs.

This has resulted in a number of regressions making it through to the development branch or even all the way to production.

With the new abstraction broken out as bkr.server.model.TaskLibrary, unit tests should be added that ensure correct operation (including filesystem manipulation and metadata generation) at the method level, independent of the rest of Beaker.
Comment 1 Nick Coghlan 2013-05-21 23:01:59 EDT
It would also be desirable to have RPM generation infrastructure in the test suite that supports creation of a valid RPM file for arbitrary tasks (see comments on http://gerrit.beaker-project.org/#/c/1958)
Comment 2 Raymond Mancy 2013-09-11 23:32:54 EDT
http://gerrit.beaker-project.org/#/c/2225/
Comment 3 Amit Saha 2013-09-17 04:59:32 EDT
Unit tests, so upgrading MODIFIED -> VERIFIED
Comment 4 Nick Coghlan 2013-10-02 22:27:54 EDT
Beaker 0.15 has been released.

Note You need to log in before you can comment on or make changes to this bug.